/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Benjamin Grauer
   co-programmer: ...
*/

//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_

#include "crosshair.h"
#include "event_handler.h"
using namespace std;


/**
   \brief standard constructor
*/
Crosshair::Crosshair ()
{
  this->setClassID(CL_CROSSHAIR, "Crosshair");
  this->setName("Crosshair");

  EventHandler::getInstance()->subscribe(this, ES_GAME, EV_MOUSE_MOTION);

}


/**
   \brief standard deconstructor
*/
Crosshair::~Crosshair ()
{
  // delete what has to be deleted here
}

void Crosshair::process(const Event &event)
{
  printf("wow\n");

}
